Loading...
Searching...
No Matches
pappso::LocalSignalToNoiseEstimator::Parameters Struct Reference

`#include <localsignaltonoiseestimator.h>`

## Public Member Functions

| Parameters ()
| Parameters (double max_intensity, double max_int_std_dev_factor, double max_int_percentile, int max_int_mode, double window_size, int bin_count, int min_required_elements, double noise_value_for_empty_window)
| Parameters (const Parameters &other)

## Public Attributes

double | maxIntensity = -1
double | maxIntStdDevFactor = 3
double | maxIntPercentile = 95
int | maxIntMode = IntensityThresholdCalculation::AUTO_MAX_BY_STDEV
double | windowSize = 200
int | binCount = 30
int | minRequiredElements = 10
double | noiseValueForEmptyWindow = std::pow(10.0, 20)

## Detailed Description

Definition at line 37 of file localsignaltonoiseestimator.h.

## Constructor & Destructor Documentation

## Parameters() [1/3]

pappso::LocalSignalToNoiseEstimator::Parameters::Parameters | ( |  | ) |

inline

Definition at line 70 of file localsignaltonoiseestimator.h.

{};

Referenced by Parameters().

## Parameters() [2/3]

pappso::LocalSignalToNoiseEstimator::Parameters::Parameters | ( | double | max_intensity,
|  | double | max_int_std_dev_factor,
|  | double | max_int_percentile,
|  | int | max_int_mode,
|  | double | window_size,
|  | int | bin_count,
|  | int | min_required_elements,
|  | double | noise_value_for_empty_window )

inline

Definition at line 71 of file localsignaltonoiseestimator.h.

{
maxIntensity = max_intensity;
maxIntStdDevFactor = max_int_std_dev_factor;
maxIntPercentile = max_int_percentile;
maxIntMode = max_int_mode;
windowSize = window_size;
binCount = bin_count;
minRequiredElements = min_required_elements;
noiseValueForEmptyWindow = noise_value_for_empty_window;
}
pappso::LocalSignalToNoiseEstimator::Parameters::maxIntensity
double maxIntensity
Definition localsignaltonoiseestimator.h:42
pappso::LocalSignalToNoiseEstimator::Parameters::noiseValueForEmptyWindow
double noiseValueForEmptyWindow
Definition localsignaltonoiseestimator.h:68
pappso::LocalSignalToNoiseEstimator::Parameters::maxIntStdDevFactor
double maxIntStdDevFactor
Definition localsignaltonoiseestimator.h:46
pappso::LocalSignalToNoiseEstimator::Parameters::minRequiredElements
int minRequiredElements
Definition localsignaltonoiseestimator.h:63
pappso::LocalSignalToNoiseEstimator::Parameters::maxIntPercentile
double maxIntPercentile
Definition localsignaltonoiseestimator.h:50
pappso::LocalSignalToNoiseEstimator::Parameters::windowSize
double windowSize
Definition localsignaltonoiseestimator.h:57
pappso::LocalSignalToNoiseEstimator::Parameters::maxIntMode
int maxIntMode
Definition localsignaltonoiseestimator.h:54
pappso::LocalSignalToNoiseEstimator::Parameters::binCount
int binCount
Definition localsignaltonoiseestimator.h:60

References binCount, maxIntensity, maxIntMode, maxIntPercentile, maxIntStdDevFactor, minRequiredElements, noiseValueForEmptyWindow, and windowSize.

## Parameters() [3/3]

pappso::LocalSignalToNoiseEstimator::Parameters::Parameters | ( | const Parameters & | other | ) |

inline

Definition at line 90 of file localsignaltonoiseestimator.h.

{
maxIntensity = other.maxIntensity;
maxIntStdDevFactor = other.maxIntStdDevFactor;
maxIntPercentile = other.maxIntPercentile;
maxIntMode = other.maxIntMode;
windowSize = other.windowSize;
binCount = other.binCount;
minRequiredElements = other.minRequiredElements;
noiseValueForEmptyWindow = other.noiseValueForEmptyWindow;
}

References Parameters(), binCount, maxIntensity, maxIntMode, maxIntPercentile, maxIntStdDevFactor, minRequiredElements, noiseValueForEmptyWindow, and windowSize.

## Member Data Documentation

## binCount

int pappso::LocalSignalToNoiseEstimator::Parameters::binCount = 30

Definition at line 60 of file localsignaltonoiseestimator.h.

Referenced by Parameters(), and Parameters().

## maxIntensity

double pappso::LocalSignalToNoiseEstimator::Parameters::maxIntensity = -1

Definition at line 42 of file localsignaltonoiseestimator.h.

Referenced by Parameters(), and Parameters().

## maxIntMode

int pappso::LocalSignalToNoiseEstimator::Parameters::maxIntMode = IntensityThresholdCalculation::AUTO_MAX_BY_STDEV

Definition at line 54 of file localsignaltonoiseestimator.h.

Referenced by Parameters(), and Parameters().

## maxIntPercentile

double pappso::LocalSignalToNoiseEstimator::Parameters::maxIntPercentile = 95

Definition at line 50 of file localsignaltonoiseestimator.h.

Referenced by Parameters(), and Parameters().

## maxIntStdDevFactor

double pappso::LocalSignalToNoiseEstimator::Parameters::maxIntStdDevFactor = 3

Definition at line 46 of file localsignaltonoiseestimator.h.

Referenced by Parameters(), and Parameters().

## minRequiredElements

int pappso::LocalSignalToNoiseEstimator::Parameters::minRequiredElements = 10

Definition at line 63 of file localsignaltonoiseestimator.h.

Referenced by Parameters(), and Parameters().

## noiseValueForEmptyWindow

double pappso::LocalSignalToNoiseEstimator::Parameters::noiseValueForEmptyWindow = std::pow(10.0, 20)

Definition at line 68 of file localsignaltonoiseestimator.h.

Referenced by Parameters(), and Parameters().

## windowSize

double pappso::LocalSignalToNoiseEstimator::Parameters::windowSize = 200

Definition at line 57 of file localsignaltonoiseestimator.h.

Referenced by Parameters(), and Parameters().

The documentation for this struct was generated from the following file:

- pappsomspp/core/processing/detection/localsignaltonoiseestimator.h